#pragma once

#include "abstract_coder.hpp"
#include "server_tcp_connect.hpp"


namespace tinyrpc {


    class AbstractDispatcher {
    public:
        AbstractDispatcher() = default;
        virtual ~AbstractDispatcher() = default;
        virtual void dispatcher(ServerTcpConnection& conn, AbstractData& data, AbstractData& respond) = 0;
       
    private:

    

    };
}